%global debug_package %{nil}

Name:           oraclelinux-automation-manager-release-el8
Version:        2.1
Release:        1%{dist}
Summary:        Oracle Linux Automation Manager yum repository configuration

Group:          System Environment
License:        GPLv2

Source0:        oraclelinux-automation-manager-ol8.repo
Source1:        LICENSE


BuildArch:     x86_64 
Requires:      oraclelinux-release-el8 >= 1.0-16
Requires:      grep
Requires:      sed
Requires:      yum-utils
Requires:      curl

%description
This package contains the Oracle Linux Automation Manager yum repository configuration.

%prep
%setup  -q  -c -T


%build


%install
rm -rf $RPM_BUILD_ROOT


install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/%{name}/
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0}   \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

install -m 755 %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_datadir}/doc/%{name}
%{_datadir}/doc/%{name}/*
%config(noreplace) /etc/yum.repos.d/*


%changelog
* Fri Aug 18 2023 Lans Hung <lans.hung@oracle.com> - 2.1-1
- Enable automation2 repo. Disable automation repo. [OLAM-132]

* Wed Nov  2 2022 Keshav Sharma <keshav.sharma@oracle.com> 1.0-2
- Add repository entry for OLAM 2,0 [oraBug: 34759509]

* Mon Jun 21 2021 Keshav Sharma <keshav.sharma@oracle.com> 1.0-1
- Initial package

